import React from "react";
import { Button, Grid } from "@mui/material";
import Alert from "@mui/material/Alert";

export default function AlertMessages({ alerts }) {
  function determineSeverity(alarmType) {
    return ["error", "warning", "success"].includes(alarmType?.toLowerCase())
      ? alarmType?.toLowerCase()
      : "info";
  }

  return (
    <Grid
      id="ioc-alerts"
      container
      spacing={1}
      direction="column"
    >
      {alerts?.map((alert) => (
        <Grid
          item
          key={alert?.message || alert}
        >
          <Alert
            severity={determineSeverity(alert?.type)}
            action={
              alert?.link && (
                <Button
                  target="_blank"
                  href={alert.link}
                  color="inherit"
                  size="small"
                >
                  More Info
                </Button>
              )
            }
            component="p"
          >
            {alert?.message}
          </Alert>
        </Grid>
      ))}
    </Grid>
  );
}
