import React from "react";
import { AppHarness } from "../../../mocks/AppHarness";
import { CreateIOCView } from "../../../views/IOC/CreateIOCView";
import { rest } from "msw";
import { handlers } from "../../../mocks/handlers";

export default {
  title: "Views/IOC/CreateIOCView"
};

const Template = () => (
  <AppHarness>
    <CreateIOCView />
  </AppHarness>
);

export const Default = () => <Template />;

export const CreateLoading = () => <Template />;
CreateLoading.parameters = {
  msw: {
    handlers: [
      rest.post("*/iocs", (req, res, ctx) => res(ctx.delay("infinite"))),
      ...handlers
    ]
  }
};
export const CreateWithError = () => <Template />;
CreateWithError.parameters = {
  msw: {
    handlers: [
      rest.post("*/iocs", (req, res, ctx) =>
        res(
          ctx.status(400),
          ctx.json(require("../../../mocks/fixtures/GeneralException.json"))
        )
      ),
      ...handlers
    ]
  }
};
